<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list/list.old.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_48c61abad44e2f181b0a6a33afb59c17.html">list</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">list.old.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdbool.h&gt;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for list.old.h:</div>
<div class="dyncontent">
<div class="center"><img src="list_8old_8h__incl.png" border="0" usemap="#list_2list_8old_8h" alt=""/></div>
</div>
</div>
<p><a href="list_8old_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlist__node.html">list_node</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structlist.html">list</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:af629e6a6713d7de11eab50cbe6449b06"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structlist.html">list</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a></td></tr>
<tr class="separator:af629e6a6713d7de11eab50cbe6449b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a28788ccb1b363a930a766de58076b516"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#a28788ccb1b363a930a766de58076b516">list_init</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>)</td></tr>
<tr class="separator:a28788ccb1b363a930a766de58076b516"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f0d12090de6aacd9e3a35cb7b115099"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#a8f0d12090de6aacd9e3a35cb7b115099">list_insert_first</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>, void *node)</td></tr>
<tr class="separator:a8f0d12090de6aacd9e3a35cb7b115099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe471df0bb550543f19943496ada3bd"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#affe471df0bb550543f19943496ada3bd">list_insert_after</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>, void *node_after, void *node_new)</td></tr>
<tr class="separator:affe471df0bb550543f19943496ada3bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c624f729a5db8726535ec1c73223b0"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#ad5c624f729a5db8726535ec1c73223b0">list_remove_first</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>)</td></tr>
<tr class="separator:ad5c624f729a5db8726535ec1c73223b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5049b5478fbdb64f35b49e4540ef5b39"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#a5049b5478fbdb64f35b49e4540ef5b39">list_remove</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>, void *node)</td></tr>
<tr class="separator:a5049b5478fbdb64f35b49e4540ef5b39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17db498966456a086b9a49ba695a3ee0"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#a17db498966456a086b9a49ba695a3ee0">list_first</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>)</td></tr>
<tr class="separator:a17db498966456a086b9a49ba695a3ee0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7f6d8c5a8786a63042d185816b0e0a7"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#ab7f6d8c5a8786a63042d185816b0e0a7">list_last</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>)</td></tr>
<tr class="separator:ab7f6d8c5a8786a63042d185816b0e0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab21d791e2380324a2556403a5ebfa91c"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#ab21d791e2380324a2556403a5ebfa91c">list_next</a> (void *node)</td></tr>
<tr class="separator:ab21d791e2380324a2556403a5ebfa91c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11c2225878e0b8dddfc21c5c02b63f6c"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#a11c2225878e0b8dddfc21c5c02b63f6c">list_pos</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>, int_least32_t pos)</td></tr>
<tr class="separator:a11c2225878e0b8dddfc21c5c02b63f6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95db2db655718f551f5ed1b11275fc30"><td class="memItemLeft" align="right" valign="top">int_least32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#a95db2db655718f551f5ed1b11275fc30">list_get_pos</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>, void *node)</td></tr>
<tr class="separator:a95db2db655718f551f5ed1b11275fc30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa335ad050af9200ac67690e39d253f44"><td class="memItemLeft" align="right" valign="top">uint_least32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list_8old_8h.html#aa335ad050af9200ac67690e39d253f44">list_length</a> (<a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *<a class="el" href="structlist.html">list</a>)</td></tr>
<tr class="separator:aa335ad050af9200ac67690e39d253f44"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Singly linked list. </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a id="af629e6a6713d7de11eab50cbe6449b06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af629e6a6713d7de11eab50cbe6449b06">&#9670;&nbsp;</a></span>list_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structlist.html">list</a>  <a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a17db498966456a086b9a49ba695a3ee0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17db498966456a086b9a49ba695a3ee0">&#9670;&nbsp;</a></span>list_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_first </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a95db2db655718f551f5ed1b11275fc30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95db2db655718f551f5ed1b11275fc30">&#9670;&nbsp;</a></span>list_get_pos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int_least32_t list_get_pos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a28788ccb1b363a930a766de58076b516"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28788ccb1b363a930a766de58076b516">&#9670;&nbsp;</a></span>list_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void list_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="affe471df0bb550543f19943496ada3bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe471df0bb550543f19943496ada3bd">&#9670;&nbsp;</a></span>list_insert_after()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_insert_after </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node_after</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node_new</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f0d12090de6aacd9e3a35cb7b115099"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f0d12090de6aacd9e3a35cb7b115099">&#9670;&nbsp;</a></span>list_insert_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_insert_first </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7f6d8c5a8786a63042d185816b0e0a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7f6d8c5a8786a63042d185816b0e0a7">&#9670;&nbsp;</a></span>list_last()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_last </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa335ad050af9200ac67690e39d253f44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa335ad050af9200ac67690e39d253f44">&#9670;&nbsp;</a></span>list_length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_least32_t list_length </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab21d791e2380324a2556403a5ebfa91c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab21d791e2380324a2556403a5ebfa91c">&#9670;&nbsp;</a></span>list_next()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_next </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a11c2225878e0b8dddfc21c5c02b63f6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11c2225878e0b8dddfc21c5c02b63f6c">&#9670;&nbsp;</a></span>list_pos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_pos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int_least32_t&#160;</td>
          <td class="paramname"><em>pos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5049b5478fbdb64f35b49e4540ef5b39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5049b5478fbdb64f35b49e4540ef5b39">&#9670;&nbsp;</a></span>list_remove()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5c624f729a5db8726535ec1c73223b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5c624f729a5db8726535ec1c73223b0">&#9670;&nbsp;</a></span>list_remove_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_remove_first </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list_8old_8h.html#af629e6a6713d7de11eab50cbe6449b06">list_t</a> *&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
